Subject: Re: [PATCH 0/2] Make gc a builtin.

From: Theodore Tso <[email-masked]>
Date: Mon, 12 Mar 2007 09:36:12 -0400

On Mon, Mar 12, 2007 at 12:23:41PM +0100, Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 11 Mar 2007, Theodore Tso wrote:
> 
> > On Sun, Mar 11, 2007 at 06:06:56PM -0400, James Bowes wrote:
> > > The following two patches make git-gc a builtin command.
> > 
> > What's the advantage in making git-gc a builtin command?
> 
> Portability. Plus, James wanted to get involved in Git development, and 
> building in gc really was the shortest path into that.
> 

I'm not sure I understand the portability argument?  All of the
platforms that git currently supports will handle shell scripts,
right?  

Heck, git-commit is still a shell script, and that's a rather, ah,
fundamental command, isn't it? 

						- Ted